org.jbpm.ruleflow.core.factory

## Class ActionNodeFactory<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>

- java.lang.Object
- - org.jbpm.ruleflow.core.factory.NodeFactory<org.kie.api.fluent.ActionNodeBuilder<T>,T>
  - - org.jbpm.ruleflow.core.factory.ActionNodeFactory<T>

- All Implemented Interfaces:
    org.kie.api.fluent.ActionNodeBuilder<T>, org.kie.api.fluent.NodeBuilder<org.kie.api.fluent.ActionNodeBuilder<T>,T>

      public class ActionNodeFactory<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>
      extends NodeFactory<org.kie.api.fluent.ActionNodeBuilder<T>,T>
      implements org.kie.api.fluent.ActionNodeBuilder<T>

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `node, nodeContainer, nodeContainerFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionNodeFactory(T nodeContainerFactory, NodeContainer nodeContainer, long id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActionNodeFactory<T>` | `action(Action action)`
    `ActionNodeFactory<T>` | `action(org.kie.api.fluent.Dialect dialect, String code)`
    `ActionNodeFactory<T>` | `action(String dialect, String action)`
    `ActionNodeFactory<T>` | `action(String dialect, String action, boolean isDroolsAction)`
    `protected ActionNode` | `getActionNode()`
    `ActionNodeFactory<T>` | `name(String name)`

    - ### Methods inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `done, getNode, setId, setMetadata`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.fluent.NodeBuilder

      `done, setMetadata`

- - ### Constructor Detail

    - #### ActionNodeFactory

          public ActionNodeFactory(T nodeContainerFactory,
                                   NodeContainer nodeContainer,
                                   long id)

  - ### Method Detail

    - #### getActionNode

          protected ActionNode getActionNode()

    - #### name

          public ActionNodeFactory<T> name(String name)

      Specified by:
        `name` in interface `org.kie.api.fluent.NodeBuilder<org.kie.api.fluent.ActionNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>,T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>`
      Overrides:
        `name` in class `NodeFactory<org.kie.api.fluent.ActionNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>,T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>`

    - #### action

          public ActionNodeFactory<T> action(String dialect,
                                             String action)

    - #### action

          public ActionNodeFactory<T> action(String dialect,
                                             String action,
                                             boolean isDroolsAction)

    - #### action

          public ActionNodeFactory<T> action(Action action)

    - #### action

          public ActionNodeFactory<T> action(org.kie.api.fluent.Dialect dialect,
                                             String code)

      Specified by:
        `action` in interface `org.kie.api.fluent.ActionNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>`

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.